Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.orm
Class PagedResultList

    java.lang.Object
      grails.orm.PagedResultList

All Implemented Interfaces:
  Serializable, Iterable, Collection, List

    public class PagedResultList

extends Object
implements List, Serializable

A result list for Criteria list calls, which is aware of the totalCount for the paged result

Since:
  1.0
Author:
  Siegfried Puchbauer
See Also:
  Serialized Form

Field Summary
`protected List` | `list`
`protected int` | `totalCount`

Constructor Summary
`PagedResultList(List list)`
`PagedResultList(List list, int totalCount)`

Method Summary
`void` | `add(int i, Object o)`
`boolean` | `add(Object o)`
`boolean` | `addAll(Collection collection)`
`boolean` | `addAll(int i, Collection collection)`
`void` | `clear()`
`boolean` | `contains(Object o)`
`boolean` | `containsAll(Collection collection)`
`boolean` | `equals(Object o)`
`Object` | `get(int i)`
`int` | `getTotalCount()`
`int` | `hashCode()`
`int` | `indexOf(Object o)`
`boolean` | `isEmpty()`
`Iterator` | `iterator()`
`int` | `lastIndexOf(Object o)`
`ListIterator` | `listIterator()`
`ListIterator` | `listIterator(int i)`
`Object` | `remove(int i)`
`boolean` | `remove(Object o)`
`boolean` | `removeAll(Collection collection)`
`boolean` | `retainAll(Collection collection)`
`Object` | `set(int i, Object o)`
`void` | `setTotalCount(int totalCount)`
`int` | `size()`
`List` | `subList(int i, int i1)`
`Object[]` | `toArray()`
`Object[]` | `toArray(Object[] objects)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### list

    protected List list

### totalCount

    protected int totalCount

Constructor Detail

### PagedResultList

    public PagedResultList(List list)

### PagedResultList

    public PagedResultList(List list,
                           int totalCount)

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `Collection`
  Specified by:
    `size` in interface `List`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Collection`
  Specified by:
    `isEmpty` in interface `List`

### contains

    public boolean contains(Object o)

  Specified by:
    `contains` in interface `Collection`
  Specified by:
    `contains` in interface `List`

### iterator

    public Iterator iterator()

  Specified by:
    `iterator` in interface `Iterable`
  Specified by:
    `iterator` in interface `Collection`
  Specified by:
    `iterator` in interface `List`

### toArray

    public Object[] toArray()

  Specified by:
    `toArray` in interface `Collection`
  Specified by:
    `toArray` in interface `List`

### toArray

    public Object[] toArray(Object[] objects)

  Specified by:
    `toArray` in interface `Collection`
  Specified by:
    `toArray` in interface `List`

### add

    public boolean add(Object o)

  Specified by:
    `add` in interface `Collection`
  Specified by:
    `add` in interface `List`

### remove

    public boolean remove(Object o)

  Specified by:
    `remove` in interface `Collection`
  Specified by:
    `remove` in interface `List`

### containsAll

    public boolean containsAll(Collection collection)

  Specified by:
    `containsAll` in interface `Collection`
  Specified by:
    `containsAll` in interface `List`

### addAll

    public boolean addAll(Collection collection)

  Specified by:
    `addAll` in interface `Collection`
  Specified by:
    `addAll` in interface `List`

### addAll

    public boolean addAll(int i,
                          Collection collection)

  Specified by:
    `addAll` in interface `List`

### removeAll

    public boolean removeAll(Collection collection)

  Specified by:
    `removeAll` in interface `Collection`
  Specified by:
    `removeAll` in interface `List`

### retainAll

    public boolean retainAll(Collection collection)

  Specified by:
    `retainAll` in interface `Collection`
  Specified by:
    `retainAll` in interface `List`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection`
  Specified by:
    `clear` in interface `List`

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in interface `Collection`
  Specified by:
    `equals` in interface `List`
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Collection`
  Specified by:
    `hashCode` in interface `List`
  Overrides:
    `hashCode` in class `Object`

### get

    public Object get(int i)

  Specified by:
    `get` in interface `List`

### set

    public Object set(int i,
                      Object o)

  Specified by:
    `set` in interface `List`

### add

    public void add(int i,
                    Object o)

  Specified by:
    `add` in interface `List`

### remove

    public Object remove(int i)

  Specified by:
    `remove` in interface `List`

### indexOf

    public int indexOf(Object o)

  Specified by:
    `indexOf` in interface `List`

### lastIndexOf

    public int lastIndexOf(Object o)

  Specified by:
    `lastIndexOf` in interface `List`

### listIterator

    public ListIterator listIterator()

  Specified by:
    `listIterator` in interface `List`

### listIterator

    public ListIterator listIterator(int i)

  Specified by:
    `listIterator` in interface `List`

### subList

    public List subList(int i,
                        int i1)

  Specified by:
    `subList` in interface `List`

### getTotalCount

    public int getTotalCount()

### setTotalCount

    public void setTotalCount(int totalCount)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project